BEGIN CMGVYNON

IF ~See(Player1)
	Global("VynonaVampirized","GLOBAL",1)
	Global("VynonaAccepted","GLOBAL",1)
	!Global("VynonaRomance","GLOBAL",3)
	GlobalTimerExpired("VynonaSpeaksTimer","GLOBAL")
	Global("VynonaRomanceTalk","GLOBAL",0)~ THEN BEGIN LoveTalk1
SAY @57 
 ++ ~No I don't have anyone. Do you want to extend our relationship? I can be your only one. We are already closer than anyone else in this world. You have my blood and maybe some control on me.~ + loveTalk11
 ++ ~Yes, maybe I have someone. You'll have to be strong and endure loneliness of darkness on your own.~ + loveTalk12
 ++ ~It's not your business and I don't care about you.~ + loveTalk13
END

IF ~See(Player1)
	Global("VynonaVampirized","GLOBAL",1)
	Global("VynonaAccepted","GLOBAL",1)
	!Global("VynonaRomance","GLOBAL",3)
	GlobalTimerExpired("VynonaSpeaksTimer","GLOBAL")
	Global("VynonaRomanceTalk","GLOBAL",1)~ THEN BEGIN LoveTalk2
SAY ~Are you a virgin?~
 ++ ~Yes, I am. I had grown in Candlekeep, there was noone with lust for anything not made from paper.~ + loveTalk21
 ++ ~No, of cause.~ + loveTalk22
 ++ ~Not your business, slut from grave!~ + loveTalk23
END

IF ~See(Player1)
	Gender(Player1,MALE)
	Global("VynonaVampirized","GLOBAL",1)
	Global("VynonaAccepted","GLOBAL",1)
	!Global("VynonaRomance","GLOBAL",3)
	GlobalTimerExpired("VynonaSpeaksTimer","GLOBAL")
	Global("VynonaRomanceTalk","GLOBAL",2)~ THEN BEGIN LoveTalk3m1
SAY @75 
 ++ @76 + loveTalk31m
 ++ @77 + loveTalk32
 ++ @78 + loveTalk33
END


IF ~See(Player1)
	Global("VynonaVampirized","GLOBAL",1)
	Global("VynonaAccepted","GLOBAL",1)
	!Global("VynonaRomance","GLOBAL",3)
	GlobalTimerExpired("VynonaSpeaksTimer","GLOBAL")
	Global("VynonaRomanceTalk","GLOBAL",3)~ THEN BEGIN KaliTalk1
SAY ~I'll be teaching you from now to became an excellent vampire. You will learn the secrets of Kali and understand the world of darkness. By the way, you must thank fate, that I am converted you to vampire, not some magically created vampire. You have freedom they don't have. And even I, your second mother, can't control you, because our nature is different from them.~
 ++ @105 + KaliTalk1y
 ++ @106 + KaliTalk1n
END

IF ~~ KaliTalk1y
SAY @107
   IF ~~ THEN DO ~SetGlobal("VynonaRomanceTalk","GLOBAL",4)~ EXIT
END

IF ~~ KaliTalk1n
SAY ~(...She ends talking and stares for some time to nowhere, melancholically remembering something in her cold pretty head.)~
   IF ~~ THEN DO ~SetGlobal("VynonaRomanceTalk","GLOBAL",4)~ EXIT
END


IF ~See(Player1)
	Global("VynonaVampirized","GLOBAL",1)
	Global("VynonaAccepted","GLOBAL",1)
	!Global("VynonaRomance","GLOBAL",3)
	GlobalTimerExpired("VynonaSpeaksTimer","GLOBAL")
	Global("VynonaRomanceTalk","GLOBAL",4)~ THEN BEGIN KaliTalk2
SAY ~There are several types of vampires I know of. Most of them belong to magically created bloodlines. When the mage wants to extend his life and experiences with necromancy and curses, he can bind his soul with negative plane and become something close to us - True vampires. His condition will than be spread by bites to other humanoid lifeforms.~
 ++ @105 + KaliTalk2y
 ++ @106 + KaliTalk1n
END

IF ~~ KaliTalk2y
SAY ~Yes, I sucked your blood, and you became a vampire. But not the same way. Kali herself devoted part of her power to bless you with immortality. You still has common vampire weaknesses, but you don't need to sleep in coffin, because you didn't needed to be buried. You don't need house inhabitants invitation to get to house, because you are not cursed by magic, but blessed by Kali.~
   IF ~~ THEN DO ~SetGlobal("VynonaRomanceTalk","GLOBAL",5)~ EXIT
END



IF ~See(Player1)
	Global("VynonaVampirized","GLOBAL",1)
	Global("VynonaAccepted","GLOBAL",1)
	!Global("VynonaRomance","GLOBAL",3)
	GlobalTimerExpired("VynonaSpeaksTimer","GLOBAL")
	Global("VynonaRomanceTalk","GLOBAL",5)~ THEN BEGIN KaliTalk3
SAY ~When you lost your senses before convertion, I shared part of my blood and filled your throat with it. You also gained part of Kali blood, as all vampires of our bloodline. I don't know, why Kali insisted to contact you and convert you, but usually she wants only the strongest and wisest ones to her family.~
 ++ ~Teach me, Vynona. I owe you my life.~ + KaliTalk3y
 ++ ~Let's skip this lesson for now.~ + KaliTalk1n
END

IF ~~ KaliTalk3y
SAY ~Kali died at hand of Myrkyl, when he gained the throne of god of undeath. But she is not dead until every last vampire of her blood is dead. So we search for best and fill our clans until we found the heart of Kali and think about the way to resurrect her. But still we don't know where this heart is. It must be in possesion of one of Myrkyl liches. We should search in haunted temples of long dead gods or maybe in some tombs. I hope I'll or you'll sense it's presence when we are near.~
   IF ~~ THEN DO ~SetGlobal("VynonaRomanceTalk","GLOBAL",6)~ EXIT
END



IF ~See(Player1)
	Global("VynonaVampirized","GLOBAL",1)
	Global("VynonaAccepted","GLOBAL",1)
	!Global("VynonaRomance","GLOBAL",3)
	GlobalTimerExpired("VynonaSpeaksTimer","GLOBAL")
	Global("VynonaRomanceTalk","GLOBAL",6)~ THEN BEGIN KaliTalk4
SAY ~Myrkyl was in good relations with Bane and Bhaal, so we must also search places related to their majesties. Did you know, that Kali had a romance with Bhaal? He was pleased by her liking of violent killings and blood orgies, they ever had a baby. I don't know through who this baby is and by which power undead goddess was having a baby at first place.~
 ++ ~Do you want a baby, Vynona?~ + KaliTalk4y
 ++ ~Let's skip this lesson for now.~ + KaliTalk1n
END

IF ~~ KaliTalk4y
SAY ~I am vampire. I can't have a baby by normal way. But our goddess Kali seems to know some way. I'll do many things to resurrect her. You are my child as well, but not a flesh of my flesh. I didn't hatched you for nine months, I didn't dreamed about playing with you and so on.~
   IF ~~ THEN DO ~SetGlobal("VynonaRomanceTalk","GLOBAL",7)~ EXIT
END

IF ~See(Player1)
	Global("VynonaVampirized","GLOBAL",1)
	Global("VynonaAccepted","GLOBAL",1)
	!Global("VynonaRomance","GLOBAL",3)
	GlobalTimerExpired("VynonaSpeaksTimer","GLOBAL")
	Global("VynonaRomanceTalk","GLOBAL",7)~ THEN BEGIN LoveTalk4
SAY ~(She killed a young peasant and now is draining him of his blood. Her mouth is all in his red blood. Even her curvy breasts are in drops of blood. A she sucks, her skin becames more pink. She took of her armor and weapons for this hunt, and you look at her gorgeous forms. Your blood starts to warm.)~
 ++ ~Let me join you, my love.~ + KaliTalk4y
 ++ ~You are terrible monster! Die!~ + fight2
END

IF ~~ LoveTalk4y
SAY ~You lick peasant blood from her face, then kiss her. You undress her slowly, teasing her lusting flesh. You lick a blood from her breasts, caressing them. You lay her down and start licking her pussy, making her scream in process...)~
   IF ~~ THEN DO ~SetGlobal("VynonaRomanceTalk","GLOBAL",8)~ EXIT
END

IF ~See(Player1)
	Global("VynonaVampirized","GLOBAL",1)
	Global("VynonaAccepted","GLOBAL",1)
	!Global("VynonaRomance","GLOBAL",3)
	GlobalTimerExpired("VynonaSpeaksTimer","GLOBAL")
	Global("VynonaRomanceTalk","GLOBAL",4)~ THEN BEGIN KaliTalk1
SAY @99 
END



IF ~See(Player1)
	Gender(Player1,FEMALE)
	Global("VynonaVampirized","GLOBAL",1)
	Global("VynonaAccepted","GLOBAL",1)
	!Global("VynonaRomance","GLOBAL",3)
	GlobalTimerExpired("VynonaSpeaksTimer","GLOBAL")
	Global("VynonaRomanceTalk","GLOBAL",2)~ THEN BEGIN LoveTalk3f1
SAY ~Fuck with that! Decide, now or never. Do you want me to share our eternity together? I can't wait any longer. Not anymore! Do you know how vampire feels, when he finally have his own child born for eternal life? Decide right now! I swear I will not look for anyone, if you forbid me.~
 ++ ~I choose you. Come to me and let me make you forget all this lonely years.~ + loveTalk31f
 ++ ~I am not ready for you yet. Sorry.~ + loveTalk32
 ++ ~I will not have sex with dead dirty whore!~ + loveTalk33
END




IF ~Gender(Player1,MALE)
Global("VynonaVampirized","GLOBAL",0)
Global("VynonaAccepted","GLOBAL",1)~ THEN BEGIN GreetingMan1
SAY @39 
 ++ ~I am ready to became a vampire, Vynona. Do it gently.~ + vampok
 ++ ~I decided to break our agreement and kill you right now!~ + fight2
 ++ ~Remember me some things about Night Counsil.~ + kalidet2
 ++ ~Lich Korkorran is crafting cloaks for vampires to walk under sunlight. I need 4000 gold for one cloak and I will get it.~ + korkcloak
 ++ ~No, nothing right now, Vynona. Sorry for disturbance.~ + byesilent
END

IF ~Gender(Player1,FEMALE)
Global("VynonaVampirized","GLOBAL",0)
Global("VynonaAccepted","GLOBAL",1)~ THEN BEGIN GreetingFemale1
SAY ~Yes, my kitty?~ 
 ++ @38 + vampok
 ++ ~I decided to break our agreement and kill you right now!~ + fight2 
 ++ ~Remember me some things about Night Counsil.~ + kalidet2
 ++ ~Lich Korkorran is crafting cloaks for vampires to walk under sunlight. I need 4000 gold for one cloak and I will get it.~ + korkcloak
 ++ ~No, nothing right now, Vynona. Sorry for disturbance.~ + byesilent
END


IF ~Gender(Player1,MALE)
Global("VynonaVampirized","GLOBAL",1)
!Global("VynonaRomance","GLOBAL",2)
Global("VynonaAccepted","GLOBAL",1)~ THEN BEGIN GreetingVMan1
SAY ~Yes, my darling?~ 
 ++ ~Do you hungry? You can suck some my blood. I don't mind.~ + suckblood
 ++ ~Remember me some things about Night Counsil.~ + kalidet2
 ++ ~Lich Korkorran is crafting cloaks for vampires to walk under sunlight. I need 4000 gold for one cloak and I will get it.~ + korkcloak
 ++ ~No, nothing right now, Vynona. Sorry for disturbance.~ + byesilent
END

IF ~Gender(Player1,FEMALE)
Global("VynonaVampirized","GLOBAL",1)
!Global("VynonaRomance","GLOBAL",2)
Global("VynonaAccepted","GLOBAL",1)~ THEN BEGIN GreetingVFemale1
SAY @40 
 ++ ~Do you hungry? You can suck some my blood. I don't mind.~ + suckblood
 ++ ~Remember me some things about Night Counsil.~ + kalidet2
 ++ ~Lich Korkorran is crafting cloaks for vampires to walk under sunlight. I need 4000 gold for one cloak and I will get it.~ + korkcloak
 ++ ~No, nothing right now, Vynona. Sorry for disturbance.~ + byesilent
END


IF ~Gender(Player1,MALE)
Global("VynonaVampirized","GLOBAL",1)
Global("VynonaRomance","GLOBAL",2)
Global("VynonaAccepted","GLOBAL",1)~ THEN BEGIN GreetingVMan1
SAY @39 
 ++ ~Do you hungry? You can suck some my blood. I don't mind.~ + suckblood
 ++ @51 + malsexB1
 ++ @52 + malsexB2
 ++ @53 + malsexB3 
 ++ ~Remember me some things about Night Counsil.~ + kalidet2
 ++ ~Lich Korkorran is crafting cloaks for vampires to walk under sunlight. I need 4000 gold for one cloak and I will get it.~ + korkcloak
 ++ ~Vynona. We must end our relationship. I don't want you anymore.~ + romanceend 
 ++ ~No, nothing right now, Vynona. Sorry for disturbance.~ + byesilent
END

IF ~Gender(Player1,FEMALE)
Global("VynonaVampirized","GLOBAL",1)
Global("VynonaRomance","GLOBAL",2)
Global("VynonaAccepted","GLOBAL",1)~ THEN BEGIN GreetingVFemale1
SAY @40 
 ++ ~Do you hungry? You can suck some my blood. I don't mind.~ + suckblood
 ++ @51 + femsexB1
 ++ @52 + femsexB2
 ++ @53 + femsexB3 
 ++ ~Remember me some things about Night Counsil.~ + kalidet2
 ++ ~Lich Korkorran is crafting cloaks for vampires to walk under sunlight. I need 4000 gold for one cloak and I will get it.~ + korkcloak
 ++ ~Vynona. We must end our relationship. I don't want you anymore.~ + romanceend
 ++ ~No, nothing right now, Vynona. Sorry for disturbance.~ + byesilent
END

IF ~PartyGoldGT(4000)~ korkcloak
SAY @92
 ++ ~Here is 4000 gold for cloak.~ + korkcloaky
 ++ ~We can't pay this sum right now.~ + korkcloakn
END

IF ~~ korkcloaky
  SAY ~Let's see how much we got... Hmm...~
   IF ~PartyGoldGT(4000)~ GOTO korkcloakyy
   IF ~~ GOTO korkcloakn
END

IF ~~ korkcloakyy
  SAY ~(Vynona tells you to stay here and dissapears. After few hours she is finally back, smiling. The cloak of Korkorran at our service.)~
   IF ~PartyGoldGT(4000)~ THEN DO ~TakePartyGold(4000)
GiveItemCreate("ohhkork",Player1,1,1,0)~ EXIT
END



IF ~~ korkcloakn
SAY ~I think we must hunt and kill some rich to get this sum.~
   IF ~~ THEN DO ~~ EXIT
END

IF ~~ loveTalk11
SAY ~I'd like to. Even vampires need someone close. I had no sex for few months.~
 ++ ~You need only to say. I'll make you screaming in extasy.~ + loveTalk1ok
 ++ ~We only met one day ago. It's too early to go so far.~ + loveTalk14
END



IF ~~ loveTalk12
SAY ~Then good luck for your chosen one. I'll survive somehow.~
   IF ~~ THEN DO ~SetGlobal("VynonaRomance","GLOBAL",3)~ EXIT
END

IF ~~ loveTalk13
SAY ~Fine. You'll get nothing from me except my duty.~
   IF ~~ THEN DO ~SetGlobal("VynonaRomance","GLOBAL",3)~ EXIT
END

IF ~~ loveTalk14
SAY ~I can wait for you. Will you wait for me?~ 
   IF ~~ THEN DO ~SetGlobal("VynonaRomanceTalk","GLOBAL",1)~ EXIT
END


IF ~~ loveTalk1ok
SAY ~Come here, my darling. Let's us kiss for celebrate this new life. (She kisses you with stone-cold lips and you feel blood pressure rise in you). There is no reason to waste time of our lives. Later.~
   IF ~~ THEN DO ~SetGlobal("VynonaRomance","GLOBAL",1)
SetGlobal("VynonaRomanceTalk","GLOBAL",1)~ EXIT
END


IF ~~ loveTalk21
SAY ~I knew it. You was smelling like virgin. I want to change this.~
   IF ~~ THEN DO ~SetGlobal("VynonaRomanceTalk","GLOBAL",2)
SetGlobal("VynonaRomanceTalk","GLOBAL",2)~ EXIT
END

IF ~~ loveTalk22
SAY ~Maybe I was mistaken. I didn't know many virgins in my life really.~
   IF ~~ THEN DO ~SetGlobal("VynonaRomanceTalk","GLOBAL",2)
SetGlobal("VynonaRomanceTalk","GLOBAL",2)~ EXIT
END

IF ~~ loveTalk23
SAY ~Slut? What you know of life, bastard? Never come again to me with anything except mission!~ 
   IF ~~ THEN DO ~SetGlobal("VynonaRomance","GLOBAL",3)~ EXIT
END

IF ~~ loveTalk31m
SAY ~(She harshly undresses and with no words dashes to you. She quickly undresses you, incindentally lightly scratching you with claws. Then she moans and bites you in neck. Few drops of blood are shining on her lips).~
   IF ~~ THEN GOTO loveTalk32m
END

IF ~~ loveTalk32m
SAY ~(You lick the blood from her face and take initiative. You lay her down before you hands on your shoulders and slowly go into her. She moans. You begin to go faster and faster. Pleasure overflows you.)~
   IF ~~ THEN GOTO loveTalk33m
END

IF ~~ loveTalk33m
SAY ~ (After three hours of non-stopping sex you finally feel blood calmed down. That are vampire sex for you. You kiss Vynona and propose to rest. You'll need to go futher your travels.)~
   IF ~~ THEN DO ~SetGlobal("VynonaRomance","GLOBAL",2)
SetGlobal("VynonaRomanceTalk","GLOBAL",3)~ EXIT
END

IF ~~ loveTalk31f
SAY ~(She harshly undresses and with no words dashes to you. She quickly undresses you, beginning from your trembling breasts swelling from lust. Then she moans and bites you in neck. Few drops of blood are shining on her lips).~
   IF ~~ THEN GOTO loveTalk32f
END

IF ~~ loveTalk32f
SAY ~(You lick the blood from her face and take initiative. You lay her down and start to kiss every curve of her, at the same time teasing her pussy. Pleasure overflows her. Then you exchange pettings. She takes one of her daggers and enter into your wet place with shaft. Her movements became faster and faster. You scream, always loosing control.)~
   IF ~~ THEN GOTO loveTalk33f
END

IF ~~ loveTalk33f
SAY ~ (After three hours of non-stopping sex you finally feel blood calmed down. That are vampire sex for you. You kiss Vynona and propose to rest. You'll need to go futher your travels.)~
   IF ~~ THEN DO ~SetGlobal("VynonaRomance","GLOBAL",2)
SetGlobal("VynonaRomanceTalk","GLOBAL",3)~ EXIT
END

IF ~~ loveTalk32
SAY @80
   IF ~~ THEN DO ~SetGlobal("VynonaRomance","GLOBAL",3)~ EXIT
END

IF ~~ loveTalk33
SAY @81 
   IF ~~ THEN DO ~SetGlobal("VynonaRomance","GLOBAL",3)
Enemy()~ EXIT
END


IF ~NumTimesTalkedTo(0)
!InParty
!Global("VynonaAccepted","GLOBAL",1)~ THEN BEGIN Greeting
SAY ~Hello there! Aren't you a Gorion's ward by a name of <CHARNAME>?~
 ++ ~Yes, I am <CHARNAME>. What do you want from me?~ + confirmation
 ++ ~No, I am nothing close to this, I am just a simple traveller resting in this inn.~ + notatall
 ++ ~I don't have a time to talk to the likes of you. Begone, riff raff.~ + begone
END

IF ~NumTimesTalkedTo(1)
!InParty()
!Global("VynonaAccepted","GLOBAL",1)~ THEN BEGIN Greeting2
SAY ~So you have returned. What do you want to say to me?~
 ++ @2 + confirmation
 ++ @3 + notatall
 ++ @4 + begone
END

IF ~~ notatall
SAY ~It's sad. Well, if you run into him, tell him he will find a friend here.~
 ++ ~Actually, I am <CHARNAME>. Sorry, but I was told not to reveal my name to unknown strangers.~ + confirmation
 ++ ~I am not your errand servant. Go find <CHARNAME> yourself!~ + fight
 ++ ~I'll tell <CHARNAME>, if I'll meet him.~ + bye
END

IF ~~ confirmation
SAY ~Great. Finally I found you. I have a mission to protect you from incoming troubles and to became your bodyguard.~
 ++ ~Who are you, at first?~ + yourname
 ++ ~I don't trust you and I don't want you near me. Goodbye!~ + bye2
END

IF ~~ byesilent
SAY ~(She turns away.)~
  IF ~~ THEN EXIT
END

IF ~~ bye
SAY ~(She turns her eyes from you and starts to play with lacers on her cloak.~
  IF ~~ THEN EXIT
END

IF ~~ bye3
SAY ~Well, I'll stay here for a few days, if you'll make up your mind, I will be there.~
  IF ~~ THEN EXIT
END

IF ~~ begone
SAY ~How are you talking to me?! I am not a peasant to be threated this way!~
 ++ ~You are nothing higher than the dirt on my shoes. I don't have time to loose more time on this.~ + fight
 ++ ~Wow, cool down. We'll let this end peacefully. Sorry for my rudeness. Bye bye!~ + bye
END


IF ~~ fight
SAY ~Putrid pig! I lost about a mounth to get here and all I see is a rude worm. I'll eat your heart and swim in your blood for this!~ 
   IF ~~ THEN DO ~Enemy()
SetGlobal("VynonaRomance","GLOBAL",3)~ EXIT
END

IF ~~ fight2
SAY ~Betrayer! I will not go down without a fight!~
 
   IF ~~ THEN DO ~Enemy()
SetGlobal("VynonaRomance","GLOBAL",3)~ EXIT
END

IF ~~ bye2
SAY ~Dawn! Go and die on your own, fine! I'll stay here for a few days, if you'll change your mind, I will be there.~
  IF ~~ THEN EXIT
END


IF ~~ yourname
SAY ~My name is Vynona. I am a vampiress. council sent me to help you became what you will became. I want to swear you a loyality and to become your guidance to Eternal Darkness.~
 ++ ~You are a goddamn bloodsucker! You have no right to live! I'll end your meanless existance right now!~ + fight
 ++ ~I am not ready to deal with vampiress. I'll have to decline your offer.~ + bye2
 ++ ~I am not ready to deal with vampiress. I'll have to think about it.~ + bye3
 ++ ~Who is this Kali you are talking about? What she wants from me?~ + kalidet
END

IF ~~ kalidet2
SAY ~Kali is a goddess of all vampires. She once was very powerful and strong, but then got defeated by Myrkyl, dawn this paranoid. Kali sees potential in your future and hopes that she will help you and you could help her in future to return to this world.~
  IF ~~ THEN EXIT
END

IF ~~ kalidet
SAY @24
 ++ @19 + fight
 ++ ~I always wanted to live eternally. If you and your goddess will help me to become immortal, I'll help you.~ + vampok
 ++ ~Help from such pretty vampiress is a very good gift for my future road. But I don't want to became vampire, at least yet.~ + vampmed
 ++ ~Help from such pretty vampiress and from goddess Kali herself is a very good gift for my future road. Help me to learn about darkness in the world and in my heart.~ + vampmed2
 ++ @20 + bye2
 ++ @21 + bye3
END

IF ~~ vampmed
  SAY ~So I'll join you in your journeys and will protect you. Just remember that Kali waits for your assistance. Talk to me, if you want anything I can provide.~
  IF ~~ THEN DO ~SetGlobal("VynonaVampirized","GLOBAL",0)
SetGlobal("VynonaAccepted","GLOBAL",1)
DestroyItem("VVHVYNON")
JoinParty()
SetGlobal("VynonaDialogRestored","LOCALS",0)~ EXIT
END

IF ~~ vampmed2
  SAY @28
  IF ~~ THEN DO ~SetGlobal("VynonaVampirized","GLOBAL",0)
SetGlobal("VynonaAccepted","GLOBAL",1)
DestroyItem("VVHVYNON")
SetGlobal("VynonaDialogRestored","LOCALS",0)
JoinParty()~ EXIT
END

IF ~~ suckblood
  SAY @45
  IF ~~ THEN DO ~ReallyForceSpellRES("OHHDRAIN",Player1) // Blood Drain~ EXIT
END

IF ~~ vampok
  SAY ~If you wish, I can turn you to vampire right here. You'll gain powers of the dark and the mercy of our goddess Kali. You will swim in blood of your enemies and will became stronger.~
IF ~~ GOTO vampok2
END

IF ~~ vampok2
SAY ~But remember, that from now on sun will became your greatest enemy. And most of gods will hate you. Of cause, except our great goddess Kali, who once swimmed in blood of some light gods and killed few herself. What's your choice?
   ++ ~Yes, I want to became vampire right here. Make me immortal, milady.~ + vampconv1
   ++ @26 + vampmed2
END

IF ~~ vampconv1
  SAY ~(Vynona comes closer and gently frees your neck from cloathing. She starts to kiss your neck with stone cold lips. This is very exiting. You relax and let thing happen.)~
IF ~~ GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel her teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel your blood flows into Vynona.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~!Global("VynonaAccepted","GLOBAL",1)~ GOTO vampconv5
IF ~Global("VynonaAccepted","GLOBAL",1)~ GOTO vampconv6
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of Vynona and her feelings of satisfaction and saturation. You are stroking her pale skin. She is now the only person in the world close to you as one can be - with your blood in her veins.)~
  IF ~~ THEN DO ~CreateVisualEffectObject("SPDISPMA",Player1)
		ActionOverride(Player1,DropInventory())
		ActionOverride(Player1,PlayDead(60))
		GiveItemCreate("vampreg1",Player1,1,1,0) // Ring
		GiveItemCreate("VAMT01",Player1,1,1,0) // Dagger
//		GiveItemCreate("DAGG01",Player1,1,1,0) // Dagger		
		GiveItemCreate("VVCASKET",Player1,1,1,0) // Empty Casket
		XEquipItem("vampreg1",Player1,SLOT_RING_RIGHT,EQUIP) // Ring
		XEquipItem("VAMT01",Player1,SLOT_WEAPON,EQUIP) // Dagger
//		XEquipItem("DAGG01",Player1,SLOT_WEAPON,EQUIP) // Dagger		
//		ActionOverride(Player1,TransformItem("DAGG01","VAMT01"))
		ChangeAlignment(Player1,CHAOTIC_EVIL)
		ChangeRace(Player1,VAMPIRE)
		ChangeGeneral(Player1,UNDEAD)
		ChangeStat(Player1,CON,2,ADD)
		ChangeStat(Player1,STR,4,ADD)
		ChangeStat(Player1,WIS,-2,ADD)
		ChangeStat(Player1,INT,-2,ADD)
		ChangeStat(Player1,RESISTCOLD,50,ADD)
		ChangeStat(Player1,RESISTPOISON,100,ADD)
		ChangeStat(Player1,RESISTFIRE,-50,ADD)
		ChangeStat(Player1,PROFICIENCYMACE,1,ADD)
		ActionOverride(Player1,SetGlobal("VampireAbilities","LOCALS",0))		
		DestroyItem("VVHVYNON")
		SetGlobal("VynonaAccepted","GLOBAL",1)
		SetGlobal("VynonaVampirized","GLOBAL",1)	
        SetGlobal("VynonaDialogRestored","LOCALS",0)
		SetGlobal("VynonaRomance","GLOBAL",0)			
		RealSetGlobalTimer("VynonaSpeaksTimer","GLOBAL",ONE_DAY)		
		JoinParty()~ EXIT
END

IF ~~ vampconv6
  SAY ~(You are now undead, as you wished. Now you feel presence of Vynona and her feelings of satisfaction and saturation. You are stroking her pale skin. She is now the only person in the world close to you as one can be - with your blood in her veins.)~
  IF ~~ THEN DO ~CreateVisualEffectObject("SPDISPMA",Player1)
		ActionOverride(Player1,DropInventory())
		ActionOverride(Player1,SetGlobal("VampireAbilities","LOCALS",0))
		ActionOverride(Player1,PlayDead(60))
		GiveItemCreate("vampreg1",Player1,1,1,0) // Ring
		GiveItemCreate("VAMT01",Player1,1,1,0) // Dagger
//		GiveItemCreate("DAGG01",Player1,1,1,0) // Dagger
		GiveItemCreate("VVCASKET",Player1,1,1,0) // Empty Casket
		XEquipItem("vampreg1",Player1,SLOT_RING_RIGHT,EQUIP) // Ring
		XEquipItem("VAMT01",Player1,SLOT_WEAPON,EQUIP) // Dagger
//		XEquipItem("DAGG01",Player1,SLOT_WEAPON,EQUIP) // Dagger		
//		ActionOverride(Player1,TransformItem("DAGG01","VAMT01"))
		ChangeAlignment(Player1,CHAOTIC_EVIL)
		ChangeRace(Player1,VAMPIRE)
		ChangeGeneral(Player1,UNDEAD)
		ChangeStat(Player1,CON,2,ADD)
		ChangeStat(Player1,STR,4,ADD)
		ChangeStat(Player1,WIS,-2,ADD)
		ChangeStat(Player1,INT,-2,ADD)
		ChangeStat(Player1,RESISTCOLD,50,ADD)
		ChangeStat(Player1,RESISTPOISON,100,ADD)
		ChangeStat(Player1,RESISTFIRE,-50,ADD)
		ChangeStat(Player1,PROFICIENCYMACE,1,ADD)	
		SetGlobal("VynonaVampirized","GLOBAL",1)
		SetGlobal("VynonaRomance","GLOBAL",0)		
		RealSetGlobalTimer("VynonaSpeaksTimer","GLOBAL",ONE_DAY)~ EXIT
END




IF ~~ malsexB1
SAY ~(Vynona walks with you. You both undress and start to kiss each other. You roughly grab her by her breasts. She shrieks. You turn her around and take her violently, slashing his sweet ass with your palms in process.)~
  IF ~~ THEN EXIT
END

IF ~~ malsexB2
SAY ~(Vynona walks with you. You both undress and start to kiss each other. You gently tease her by her breasts and slowly go down her body. She moans. Then she embraces you. Finally you go in her and you both start road to extasy.)~
  IF ~~ THEN EXIT
END

IF ~~ malsexB3
SAY ~(Vynona walks with you. You both undress. She sits on your rear and massage you. You feel her wet body. Ahh, that wonderful. Soon you loose conscioness and go to dark vampire sleep.)~
  IF ~~ THEN EXIT
END

IF ~~ femsexB1
SAY ~(Vynona walks with you. You both undress and start to kiss each other. You roughly grab her by her breasts. She shrieks. You roughly caress her body. Than you exchange roles and now she makes you feel so alive.)~
  IF ~~ THEN EXIT
END

IF ~~ femsexB2
SAY ~(Vynona walks with you. You both undress and start to kiss each other. You gently tease her by her breasts and slowly go down her body. She moans. You start pleasing her with your gentle hands. Finally you exchange roles and orgasms.)~
  IF ~~ THEN EXIT
END

IF ~~ femsexB3
SAY ~(Vynona walks with you. You both undress. She sits on your rear and massage you. You feel her wet body. Ahh, that wonderful. Soon you loose conscioness and go to dark vampire sleep.)~
  IF ~~ THEN EXIT
END


IF ~~ romanceend
SAY ~Fine. You stole my heart, I had my body. And now you want to be friends. Okay. Then our relationship will be only limited to my mission.~ 
   IF ~~ THEN DO ~SetGlobal("VynonaRomance","GLOBAL",3)~ EXIT
END


